gntlabel.h File Reference
GNT (GLib Ncurses Toolkit)

Label API. More...

`#include "gnt.h"`
`#include "gntwidget.h"`
`#include "gnttextview.h"`

Go to the source code of this file.

## Data Structures

struct | _GntLabel
struct | _GntLabelClass

## Macros

#define | GNT_TYPE_LABEL (gnt_label_get_gtype())
#define | GNT_LABEL(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), GNT_TYPE_LABEL, GntLabel))
#define | GNT_LABEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), GNT_TYPE_LABEL, GntLabelClass))
#define | GNT_IS_LABEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), GNT_TYPE_LABEL))
#define | GNT_IS_LABEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), GNT_TYPE_LABEL))
#define | GNT_LABEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), GNT_TYPE_LABEL, GntLabelClass))

## Typedefs

typedef struct _GntLabel | GntLabel
typedef struct _GntLabelClass | GntLabelClass

## Functions

G_BEGIN_DECLS GType | gnt_label_get_gtype (void)
GntWidget * | gnt_label_new (const char *text)
| Create a new GntLabel. More...
GntWidget * | gnt_label_new_with_format (const char *text, GntTextFormatFlags flags)
| Create a new label with specified text attributes. More...
void | gnt_label_set_text (GntLabel *label, const char *text)
| Change the text of a label. More...

## Detailed Description

Label API.

Definition in file gntlabel.h.

## Function Documentation

## gnt_label_get_gtype()

G_BEGIN_DECLS GType gnt_label_get_gtype | ( | void |  | ) |

Returns
  GType for GntLabel.

## gnt_label_new()

GntWidget* gnt_label_new | ( | const char * | text | ) |

Create a new GntLabel.

Parameters

  text | The text of the label.

Returns
  The newly created label.

## gnt_label_new_with_format()

GntWidget* gnt_label_new_with_format | ( | const char * | text,
|  | GntTextFormatFlags | flags
| ) |  |

Create a new label with specified text attributes.

Parameters

  text | The text.
  flags | Text attributes for the text.

Returns
  The newly created label.

## gnt_label_set_text()

void gnt_label_set_text | ( | GntLabel * | label,
|  | const char * | text
| ) |  |

Change the text of a label.

Parameters

  label | The label.
  text | The new text to set in the label.